<?
// апгрейд мира, копируем всех игроков, загружаем чистый мир и всех обратно
if ($login==$admin || $login==$admin2) {
foreach(array_keys($game["players"]) as $j) { // раз в минуту
if (isset($game["loc"][$game["players"][$j]][$j])) {
// в оффлайн
$gtemp=$game["loc"][$game["players"][$j]][$j];
$gtemp["journal"]=array();
$gtemp["loc"]=$game["players"][$j];

}
}
	$players=$game["players"];
	$copy=array();
	foreach(array_keys($players) as $i) $copy[$i]=$game["loc"][$players[$i]][$i];
	unset($game);
	require "blank.php";
	$game["players"]=$players;
	foreach(array_keys($players) as $i) {
	if (isset($locations[$players[$i]])) $game["loc"][$players[$i]][$i]=$copy[$i];	// обратно
	}
	unset($copy);
	unset($players);
	$player=&$game["loc"][$game["players"][$login]][$login];
addjournal ($j,"Мир обновлен!Ваш персонаж сохранен!");
	msg ("Мир обновлен!");
} else {
msg ("Вы не являетесь админом!");
}
?>